function domain = input_domain

figure;

axis([-1 1 -1 1]);
hold on;
title('Left mouse = new boundary point; Right mouse = finish');

done = false;

points = zeros(2,0);
np = 0;

last_point = inf;

while ~done
   [x, y, btn] = ginput(1);

   % left button
   if( btn == 1 )
      np = np+1;

      points(:,np) = [x;y];

      plot(x, y, 'r.');

      if( last_point~=inf )
         plot( [x, last_point(1)], [y, last_point(2)], 'r-');
      end

      last_point = [x;y];

   % right button
   elseif( btn == 3)
      plot( [last_point(1), points(1,1)], [last_point(2), points(2,1)], 'r-');

      done = true;
   end
end

hold off;

domain = points;
