function visualize_poisson(grid, x, max_z)

Z = zeros(size(grid.grid_X));

for i = 1:size(Z, 1)
   for j = 1:size(Z, 2)
      id = grid.grid_ids(i,j);
      if( id>0 )
         Z(i,j) = x(id);
      else
         Z(i,j) = 0;
      end
   end
end

if( nargin==3 )
   Z(end,1) = max_z;
   Z(end,end) = -max_z;

   Z = max(min(Z, max_z), -max_z);
end

surf(grid.grid_X, grid.grid_Y, Z)

